/*通用脚本函数  深圳市青辰在望信息技术有限公司 */

//将百分数转成小数
function per2num(per) {
    return per.replace(/([0-9.]+)%/, function (a, b) {return +b / 100;})
}

//列表选择时必须使用
function GetFormIDs(form)
{
	var ids='';
	for (var i=0;i < form.elements.length;i++)
	{
			var e = form.elements[i];
			if (e.name == "ID"){
			   if (e.checked ==1){
			      if (ids=='')
				   ids=e.value;
				  else
					ids+=","+e.value;
				  }
				}
	}
	return ids;
}


//检测邮箱格式是否正确
function CheckMail(str){
var strReg="";
var r;
var strText=document.all(str).value;
//strReg=/^\w+((-\w+)|(\.\w+))*\@[A-Za-z0-9]+((\.|-)[A-Za-z0-9]+)*\.[A-Za-z0-9]+$/i;
strReg=/^\w+((-\w+)|(\.\w+))*\@{1}\w+\.{1}\w{2,4}(\.{0,1}\w{2}){0,1}/ig;
r=strText.search(strReg);
if(r==-1) {
	alert("对不起，邮箱格式错误!");
	document.all(str).focus();
} 
}

//检测数字格式是否正确
function CheckInputNumber(type, id, ele) {
	var vv = ele.value;
	if (type == 0) {
	    var reg = new RegExp("^[0-9]*$");
	}else if (type == 1) {
		var reg = new RegExp("^[0-9]*\.?[0-9]{0,1}$");
	}else if (type == 2) {
		var reg = new RegExp("^[0-9]*\.?[0-9]{0,2}$");
	}else if (type == 3) {
		var reg = new RegExp("^[0-9]*\.?[0-9]{0,3}$");
	}else if (type == 4) {
		var reg = new RegExp("^[0-9]*\.?[0-9]{0,4}$");
	}
	
	if (!reg.test(vv)) {
		if (type == 0) {
			alert("温馨提示：数量必须为正整数字!");
		}else if (type == 1) {
			alert("温馨提示：小数只允许保留1位，如：0.1!");
		}else if (type == 2) {
			alert("温馨提示：小数只允许保留2位，如：0.01!");
		}else if (type == 3) {
			alert("温馨提示：小数只允许保留3位，如：0.001!");
		}else if (type == 4) {
			alert("温馨提示：小数只允许保留4位，如：0.0001!");
		}
		$(ele).focus();
		return false;
	}
}


//删除行
function DelLine(ele)
 {
  $("tr[name=tr_"+ele+"]").remove("tr[name=tr_"+ele+"]");
 }

function ModDel(ele) {
            var value = $("#idsStrs").val();
            value = value + $("tr[name=tr_"+ele+"]").attr("ids") + ",";
		
			$("#idsStrs").val(value);
			  $("tr[name=tr_"+ele+"]").remove("tr[name=tr_"+ele+"]");
			  UpdatePublicTotal(); //调用底部统计
        }
		
		
//--不带价格子表开始 公共---
//删除行
function DelShip(ele)
 {
  $("tr[name=tr_"+ele+"]").remove("tr[name=tr_"+ele+"]");
  UpdateShipTotal(); //调用底部统计
 }

//验证是否为数字及计算
function CheckShipText(type, id, ele) {
	var vv = ele.value;
	if (type == 0) {
	    var reg = new RegExp("^[0-9]*$");
	}else if (type == 1) {
		var reg = new RegExp("^[0-9]*\.?[0-9]{0,1}$");
	}else if (type == 2) {
		var reg = new RegExp("^[0-9]*\.?[0-9]{0,2}$");
	}else if (type == 3) {
		var reg = new RegExp("^[0-9]*\.?[0-9]{0,3}$");
	}else if (type == 4) {
		var reg = new RegExp("^[0-9]*\.?[0-9]{0,4}$");
	}

	if (!reg.test(vv)) {
		if (type == 0) {
			alert("温馨提示：数量必须为正整数字!");
		}else if (type == 1) {
			alert("温馨提示：小数只允许保留1位，如：0.1!");
		}else if (type == 2) {
			alert("温馨提示：小数只允许保留2位，如：0.01!");
		}else if (type == 3) {
			alert("温馨提示：小数只允许保留3位，如：0.001!");
		}else if (type == 4) {
			alert("温馨提示：小数只允许保留4位，如：0.0001!");
		}
		$(ele).focus();
		return false;
	} else {

	var QC_GoodsAnum = parseInt($("tr[name=tr_"+id+"] input[name^='QC_GoodsAnum']").val());         //得到对应行的数量控件值
	var QC_GoodsBnum = parseInt($("tr[name=tr_"+id+"] input[name^='QC_GoodsBnum']").val());         //得到对应行的数量控件值
   
      UpdateShipTotal(); //调用底部统计
	  }
}

function UpdateShipTotal()//更新底部统计
      {
		    var GoodsAZSL = 0;
			var GoodsBZSL = 0;
			
			$(".tabList tr").each(function(){                                  //循环遍历
			GoodsAZSL+=parseInt($(this).find("input[id$='QC_GoodsAnum']").val());  //遍历数量和
			GoodsBZSL+=parseInt($(this).find("input[id$='QC_GoodsBnum']").val());  //遍历数量和
			});
			
			$('#GoodsAZSL').val(GoodsAZSL); //给总数量赋值
			$('#GoodsBZSL').val(GoodsBZSL); //给总数量赋值
     } 
//---不带价格子表结束 公共---

		
//--不带折扣子表开始 公共---
//删除行
function DelPublic(ele)
 {
  $("tr[name=tr_"+ele+"]").remove("tr[name=tr_"+ele+"]");
  UpdatePublicTotal(); //调用底部统计
 }

//验证是否为数字及计算
function CheckPublicText(type, id, ele) {
	var vv = ele.value;
	if (type == 0) {
	    var reg = new RegExp("^[0-9]*$");
	}else if (type == 1) {
		var reg = new RegExp("^[0-9]*\.?[0-9]{0,1}$");
	}else if (type == 2) {
		var reg = new RegExp("^[0-9]*\.?[0-9]{0,2}$");
	}else if (type == 3) {
		var reg = new RegExp("^[0-9]*\.?[0-9]{0,3}$");
	}else if (type == 4) {
		var reg = new RegExp("^[0-9]*\.?[0-9]{0,4}$");
	}

	if (!reg.test(vv)) {
		if (type == 0) {
			alert("温馨提示：数量必须为正整数字!");
		}else if (type == 1) {
			alert("温馨提示：小数只允许保留1位，如：0.1!");
		}else if (type == 2) {
			alert("温馨提示：小数只允许保留2位，如：0.01!");
		}else if (type == 3) {
			alert("温馨提示：小数只允许保留3位，如：0.001!");
		}else if (type == 4) {
			alert("温馨提示：小数只允许保留4位，如：0.0001!");
		}
		$(ele).focus();
		return false;
	} else {

	var QC_GoodsNum = parseInt($("tr[name=tr_"+id+"] input[name^='QC_GoodsNum']").val());         //得到对应行的数量控件值
	var QC_GoodsPrice = parseFloat($("tr[name=tr_"+id+"] input[name^='QC_GoodsPrice']").val());   //得到对应行的单价控件值
	var QC_GoodsMoney = parseFloat(QC_GoodsPrice*QC_GoodsNum).toFixed(3);                           //金额=单价*数量(3位小数)		

    $("tr[name=tr_"+id+"] input[name^='QC_GoodsMoney']").val(QC_GoodsMoney);          //赋值到对应行的金额控件内
   
      UpdatePublicTotal(); //调用底部统计
	  }
}

function UpdatePublicTotal()//更新底部统计
      {
		    var GoodsZSL = 0;
			var GoodsZJE = 0;
			
			$(".tabList tr").each(function(){                                  //循环遍历
			GoodsZSL+=parseInt($(this).find("input[id$='QC_GoodsNum']").val());  //遍历数量和
			GoodsZJE+=parseFloat($(this).find("input[id$='QC_GoodsMoney']").val());  //遍历金额和
			});
			
			$('#GoodsZSL').val(GoodsZSL); //给总数量赋值
			$('#GoodsZJE').val(GoodsZJE.toFixed(3)); //给总金额赋值
     } 
//---不带折扣子表结束 公共---

//---带折扣子表计算开始---
//删除行
function DelZK(ele)
 {
  $("tr[name=tr_"+ele+"]").remove("tr[name=tr_"+ele+"]");
  UpdateZKTotal(); //调用底部统计
 }

//验证是否为数字及计算
function CheckZKText(type, id, ele) {
	var vv = ele.value;
	if (type == 0) {
	    var reg = new RegExp("^[0-9]*$");
	}else if (type == 1) {
		var reg = new RegExp("^[0-9]*\.?[0-9]{0,1}$");
	}else if (type == 2) {
		var reg = new RegExp("^[0-9]*\.?[0-9]{0,2}$");
	}else if (type == 3) {
		var reg = new RegExp("^[0-9]*\.?[0-9]{0,3}$");
	}else if (type == 4) {
		var reg = new RegExp("^[0-9]*\.?[0-9]{0,4}$");
	}

	if (!reg.test(vv)) {
		if (type == 0) {
			alert("温馨提示：数量必须为正整数字!");
		}else if (type == 1) {
			alert("温馨提示：小数只允许保留1位，如：0.1!");
		}else if (type == 2) {
			alert("温馨提示：小数只允许保留2位，如：0.01!");
		}else if (type == 3) {
			alert("温馨提示：小数只允许保留3位，如：0.001!");
		}else if (type == 4) {
			alert("温馨提示：小数只允许保留4位，如：0.0001!");
		}
		$(ele).focus();
		return false;
	} else {

	var QC_GoodsNum = parseInt($("tr[name=tr_"+id+"] input[name^='QC_GoodsNum']").val());         //得到对应行的数量控件值
	var QC_GoodsPrice = parseFloat($("tr[name=tr_"+id+"] input[name^='QC_GoodsPrice']").val());   //得到对应行的单价控件值
	var QC_GoodsMoney = parseFloat(QC_GoodsPrice*QC_GoodsNum).toFixed(3);                           //金额=单价*数量(3位小数)		
    var QC_GoodsDisc = per2num($("tr[name=tr_"+id+"] input[name^='QC_GoodsDisc']").val());     //得到对应行的折扣控件值
	var QC_GoodsDiscMoney = parseFloat(QC_GoodsPrice*QC_GoodsNum*QC_GoodsDisc).toFixed(3);            //得到对应行的折后金额控件值

   $("tr[name=tr_"+id+"] input[name^='QC_GoodsMoney']").val(QC_GoodsMoney);          //赋值到对应行的金额控件内
   $("tr[name=tr_"+id+"] input[name^='QC_GoodsDiscMoney']").val(QC_GoodsDiscMoney);        //赋值到对应行的总量控件内
   
      UpdateZKTotal(); //调用底部统计
	  }
}

function UpdateZKTotal()//更新底部统计
      {
		    var GoodsZSL = 0;
			var GoodsZJE = 0;
			var GoodsZZK = 0;
			
			$(".tabList tr").each(function(){                                  //循环遍历
			GoodsZSL+=parseInt($(this).find("input[id$='QC_GoodsNum']").val());  //遍历数量和
			GoodsZJE+=parseFloat($(this).find("input[id$='QC_GoodsMoney']").val());  //遍历金额和
			GoodsZZK+=parseFloat($(this).find("input[id$='QC_GoodsDiscMoney']").val());  //遍历折后金额和
			});
			
			$('#GoodsZSL').val(GoodsZSL); //给总数量赋值
			$('#GoodsZJE').val(GoodsZJE.toFixed(3)); //给总金额赋值
			$('#GoodsZZK').val(GoodsZZK.toFixed(3)); //给折扣总金额赋值
     } 
//---带折扣子表计算结束---


//---出入库开始---
function DelInOutWare(ele)          //删除行
 {
  $("tr[name=tr_"+ele+"]").remove("tr[name=tr_"+ele+"]");
  UpdateInOutWareTotal(); //调用底部统计
 }

//验证是否为数字及计算
function CheckInOutWareText(type, id, ele) {
	var vv = ele.value;
	if (type == 0) {
	    var reg = new RegExp("^[0-9]*$");
	}else if (type == 1) {
		var reg = new RegExp("^[0-9]*\.?[0-9]{0,1}$");
	}else if (type == 2) {
		var reg = new RegExp("^[0-9]*\.?[0-9]{0,2}$");
	}else if (type == 3) {
		var reg = new RegExp("^[0-9]*\.?[0-9]{0,3}$");
	}else if (type == 4) {
		var reg = new RegExp("^[0-9]*\.?[0-9]{0,4}$");
	}

	if (!reg.test(vv)) {
		if (type == 0) {
			alert("温馨提示：数量必须为正整数字!");
		}else if (type == 1) {
			alert("温馨提示：小数只允许保留1位，如：0.1!");
		}else if (type == 2) {
			alert("温馨提示：小数只允许保留2位，如：0.01!");
		}else if (type == 3) {
			alert("温馨提示：小数只允许保留3位，如：0.001!");
		}else if (type == 4) {
			alert("温馨提示：小数只允许保留4位，如：0.0001!");
		}
		$(ele).focus();
		return false;
	} else {

	var QC_GoodsNum = parseInt($("tr[name=tr_"+id+"] input[name^='QC_GoodsNum']").val());         //得到对应行的数量控件值
	var QC_GoodsPrice = parseFloat($("tr[name=tr_"+id+"] input[name^='QC_GoodsPrice']").val());   //得到对应行的单价控件值
	var QC_GoodsMoney = parseFloat(QC_GoodsPrice*QC_GoodsNum).toFixed(3);                           //金额=单价*数量(3位小数)		

   $("tr[name=tr_"+id+"] input[name^='QC_GoodsMoney']").val(QC_GoodsMoney);          //赋值到对应行的金额控件内
   
      UpdateInOutWareTotal(); //调用底部统计
	  }
}

function UpdateInOutWareTotal()//更新底部统计
{
	  var GoodsZSL = 0;
	  var GoodsZJE = 0;
	  
	  $(".tabList tr").each(function(){                                  //循环遍历
	  GoodsZSL+=parseInt($(this).find("input[id$='QC_GoodsNum']").val());  //遍历数量和
	  GoodsZJE+=parseFloat($(this).find("input[id$='QC_GoodsMoney']").val());  //遍历金额和
	  });
	  
	  $('#GoodsZSL').val(GoodsZSL); //给总数量赋值
	  $('#GoodsZJE').val(GoodsZJE.toFixed(3)); //给总金额赋值
} 
//---出入库结束---

//---采购付款/销售收款开始---
//删除行
function DelExpense(ele)
 {
  $("tr[name=tr_"+ele+"]").remove("tr[name=tr_"+ele+"]");
  UpdateExpenseTotal(); //调用底部统计
 }

//验证是否为数字及计算
function CheckExpenseText(type, id, ele) {
	var vv = ele.value;
	if (type == 0) {
	    var reg = new RegExp("^[0-9]*$");
	}else if (type == 1) {
		var reg = new RegExp("^[0-9]*\.?[0-9]{0,1}$");
	}else if (type == 2) {
		var reg = new RegExp("^[0-9]*\.?[0-9]{0,2}$");
	}else if (type == 3) {
		var reg = new RegExp("^[0-9]*\.?[0-9]{0,3}$");
	}else if (type == 4) {
		var reg = new RegExp("^[0-9]*\.?[0-9]{0,4}$");
	}

	if (!reg.test(vv)) {
		if (type == 0) {
			alert("温馨提示：数量必须为正整数字!");
		}else if (type == 1) {
			alert("温馨提示：小数只允许保留1位，如：0.1!");
		}else if (type == 2) {
			alert("温馨提示：小数只允许保留2位，如：0.01!");
		}else if (type == 3) {
			alert("温馨提示：小数只允许保留3位，如：0.001!");
		}else if (type == 4) {
			alert("温馨提示：小数只允许保留4位，如：0.0001!");
		}
		$(ele).focus();
		return false;
	} else {

	var QC_OrdersAMoney = parseFloat($("tr[name=tr_"+id+"] input[name^='QC_OrdersAMoney']").val());   //采购订单金额
	var QC_OrdersBMoney = parseFloat($("tr[name=tr_"+id+"] input[name^='QC_OrdersBMoney']").val());   //采购应付金额
	var QC_OrdersCMoney = parseFloat($("tr[name=tr_"+id+"] input[name^='QC_OrdersCMoney']").val());   //采购本次付款金额
	var QC_OrdersDMoney = parseFloat(QC_OrdersBMoney-QC_OrdersCMoney).toFixed(3);                    //采购剩余金额=应付金额-本次付款金额		

    $("tr[name=tr_"+id+"] input[name^='QC_OrdersDMoney']").val(QC_OrdersDMoney);          //赋值到对应行的金额控件内
   
      UpdateExpenseTotal(); //调用底部统计
	  }
}

function UpdateExpenseTotal()//更新底部统计
      {
		    var AZJE = 0;
			var BZJE = 0;
			var CZJE = 0;
			var DZJE = 0;
			
			$(".tabList tr").each(function(){                                  //循环遍历
			AZJE+=parseFloat($(this).find("input[id$='QC_OrdersAMoney']").val());  //遍历采购订单总额
			BZJE+=parseFloat($(this).find("input[id$='QC_OrdersBMoney']").val());  //遍历采购应付总额
			CZJE+=parseFloat($(this).find("input[id$='QC_OrdersCMoney']").val());  //遍历采购本次总额
			DZJE+=parseFloat($(this).find("input[id$='QC_OrdersDMoney']").val());  //遍历采购剩余总额
			});
			
			$('#AZJE').val(AZJE.toFixed(3)); //采购订单总额控件赋值
			$('#BZJE').val(BZJE.toFixed(3)); //采购应付总额控件赋值
			$('#CZJE').val(CZJE.toFixed(3)); //采购本次总额控件赋值
			$('#DZJE').val(DZJE.toFixed(3)); //采购剩余总额控件赋值
     } 
//---采购付款/销售收款结束---

//---采购退款/销售付款开始---
//删除行
function DelRevenue(ele)
 {
  $("tr[name=tr_"+ele+"]").remove("tr[name=tr_"+ele+"]");
  UpdateRevenueTotal(); //调用底部统计
 }

//验证是否为数字及计算
function CheckRevenueText(type, id, ele) {
	var vv = ele.value;
	if (type == 0) {
	    var reg = new RegExp("^[0-9]*$");
	}else if (type == 1) {
		var reg = new RegExp("^[0-9]*\.?[0-9]{0,1}$");
	}else if (type == 2) {
		var reg = new RegExp("^[0-9]*\.?[0-9]{0,2}$");
	}else if (type == 3) {
		var reg = new RegExp("^[0-9]*\.?[0-9]{0,3}$");
	}else if (type == 4) {
		var reg = new RegExp("^[0-9]*\.?[0-9]{0,4}$");
	}

	if (!reg.test(vv)) {
		if (type == 0) {
			alert("温馨提示：数量必须为正整数字!");
		}else if (type == 1) {
			alert("温馨提示：小数只允许保留1位，如：0.1!");
		}else if (type == 2) {
			alert("温馨提示：小数只允许保留2位，如：0.01!");
		}else if (type == 3) {
			alert("温馨提示：小数只允许保留3位，如：0.001!");
		}else if (type == 4) {
			alert("温馨提示：小数只允许保留4位，如：0.0001!");
		}
		$(ele).focus();
		return false;
	} else {

	var QC_OrdersAMoney = parseFloat($("tr[name=tr_"+id+"] input[name^='QC_OrdersAMoney']").val());   //采购订单金额
	var QC_OrdersBMoney = parseFloat($("tr[name=tr_"+id+"] input[name^='QC_OrdersBMoney']").val());   //采购应付金额
	var QC_OrdersCMoney = parseFloat($("tr[name=tr_"+id+"] input[name^='QC_OrdersCMoney']").val());   //采购本次付款金额
	var QC_OrdersDMoney = parseFloat(QC_OrdersBMoney-QC_OrdersCMoney).toFixed(3);                    //采购剩余金额=应付金额-本次付款金额		

    $("tr[name=tr_"+id+"] input[name^='QC_OrdersDMoney']").val(QC_OrdersDMoney);          //赋值到对应行的金额控件内
   
      UpdateRevenueTotal(); //调用底部统计
	  }
}

function UpdateRevenueTotal()//更新底部统计
      {
		    var AZJE = 0;
			var BZJE = 0;
			var CZJE = 0;
			var DZJE = 0;
			
			$(".tabList tr").each(function(){                                  //循环遍历
			AZJE+=parseFloat($(this).find("input[id$='QC_OrdersAMoney']").val());  //遍历采购订单总额
			BZJE+=parseFloat($(this).find("input[id$='QC_OrdersBMoney']").val());  //遍历采购应付总额
			CZJE+=parseFloat($(this).find("input[id$='QC_OrdersCMoney']").val());  //遍历采购本次总额
			DZJE+=parseFloat($(this).find("input[id$='QC_OrdersDMoney']").val());  //遍历采购剩余总额
			});
			
			$('#AZJE').val(AZJE.toFixed(3)); //采购订单总额控件赋值
			$('#BZJE').val(BZJE.toFixed(3)); //采购应付总额控件赋值
			$('#CZJE').val(CZJE.toFixed(3)); //采购本次总额控件赋值
			$('#DZJE').val(DZJE.toFixed(3)); //采购剩余总额控件赋值
     } 
//---采购退款/销售付款结束---

//--客服维修开始 公共---
//删除行
function DelRepa(ele)
 {
  $("tr[name=tr_"+ele+"]").remove("tr[name=tr_"+ele+"]");
  UpdateRepaTotal(); //调用底部统计
 }

//验证是否为数字及计算
function CheckRepaText(type, id, ele) {
	var vv = ele.value;
	if (type == 0) {
	    var reg = new RegExp("^[0-9]*$");
	}else if (type == 1) {
		var reg = new RegExp("^[0-9]*\.?[0-9]{0,1}$");
	}else if (type == 2) {
		var reg = new RegExp("^[0-9]*\.?[0-9]{0,2}$");
	}else if (type == 3) {
		var reg = new RegExp("^[0-9]*\.?[0-9]{0,3}$");
	}else if (type == 4) {
		var reg = new RegExp("^[0-9]*\.?[0-9]{0,4}$");
	}

	if (!reg.test(vv)) {
		if (type == 0) {
			alert("温馨提示：数量必须为正整数字!");
		}else if (type == 1) {
			alert("温馨提示：小数只允许保留1位，如：0.1!");
		}else if (type == 2) {
			alert("温馨提示：小数只允许保留2位，如：0.01!");
		}else if (type == 3) {
			alert("温馨提示：小数只允许保留3位，如：0.001!");
		}else if (type == 4) {
			alert("温馨提示：小数只允许保留4位，如：0.0001!");
		}
		$(ele).focus();
		return false;
	} else {

	var QC_GoodsNum = parseInt($("tr[name=tr_"+id+"] input[name^='QC_GoodsNum']").val());         //得到对应行的数量控件值
	var QC_GoodsMoney = parseFloat($("tr[name=tr_"+id+"] input[name^='QC_GoodsMoney']").val());         //得到对应行的费用控件值
   
      UpdateRepaTotal(); //调用底部统计
	  }
}

function UpdateRepaTotal()//更新底部统计
      {
		    var GoodsZSL = 0;
			var GoodsZJE = 0;
			
			$(".tabList tr").each(function(){                                  //循环遍历
			GoodsZSL+=parseInt($(this).find("input[id$='QC_GoodsNum']").val());  //遍历数量和
			GoodsZJE+=parseFloat($(this).find("input[id$='QC_GoodsMoney']").val());  //遍历费用和
			});
			
			$('#GoodsZSL').val(GoodsZSL); //给总数量赋值
			$('#GoodsZJE').val(GoodsZJE); //给总费用赋值
     } 
//---客服维修结束 公共---

//列表界面窗口
function ListBoxDlg(url,title)
{
    $.dialog.open(url, {
        id: 'ListBoxDlg',
        title: title,
        width: '98%',
        height: '98%',
        lock: true,
        max: false,
        min: false,
        padding: 0
    },
    false);
}


//新建界面窗口
function AddBoxDlg(url)
{
    $.dialog.open(url, {
        id: 'AddBoxDlg',
        title: '新建信息',
        width: '98%',
        height: '98%',
        lock: true,
        max: false,
        min: false,
        padding: 0
    },
    false);
}

//父窗口单选新建界面窗口
function NoAddBoxDlg(url)
{
    $.dialog.open(url, {
        id: 'NoAddBoxDlg',
        title: '新建信息',
        width: '98%',
        height: '98%',
        lock: true,
        max: false,
        min: false,
        padding: 0
    },
    false);
}

//修改界面窗口
function ModBoxDlg(url)
{
    $.dialog.open(url, {
        id: 'ModBoxDlg',
        title: '修改信息',
        width: '98%',
        height: '98%',
        lock: true,
        max: false,
        min: false,
        padding: 0
    },
    false);
}

//详细界面窗口
function RedBoxDlg(url)
{
    $.dialog.open(url, {
        id: 'RedBoxDlg',
        title: '查看信息',
        width: '98%',
        height: '98%',
        lock: true,
        max: false,
        min: false,
        padding: 0
    },
    false);
}

//帮助详细窗口
function RedHelpBoxDlg(url)
{
    $.dialog.open(url, {
        id: 'RedHelpBoxDlg',
        title: '查看帮助',
        width: '98%',
        height: '98%',
        lock: true,
        max: false,
        min: false,
        padding: 0
    },
    false);
}

//选择父级界面窗口
function SelectParBoxDlg(url)
{
    $.dialog.open(url, {
        id: 'SelectParBoxDlg',
        title: '选择信息',
        width: '98%',
        height: '98%',
        lock: true,
        max: false,
        min: false,
        padding: 0
    },
    false);
}

//打印界面窗口
function PriBoxDlg(url)
{
    $.dialog.open(url, {
        id: 'PriBoxDlg',
        title: '打印看信息',
        width: '98%',
        height: '98%',
        lock: true,
        max: false,
        min: false,
        padding: 0
    },
    false);
}

//父表详细界面窗口
function RedParBoxDlg(url)
{
    $.dialog.open(url, {
        id: 'RedParBoxDlg',
        title: '查看信息',
        width: '98%',
        height: '98%',
        lock: true,
        max: false,
        min: false,
        padding: 0
    },
    false);
}

//明细父表界面窗口
function RedParOpenBoxDlg(url)
{
    $.dialog.open(url, {
        id: 'RedParOpenBoxDlg',
        title: '查看信息',
        width: '98%',
        height: '98%',
        lock: true,
        max: false,
        min: false,
        padding: 0
    },
    false);
}

//操作界面窗口
function ToBoxDlg(url,title)
{
    $.dialog.open(url, {
        id: 'ToBoxDlg',
        title: title,
        width: '98%',
        height: '98%',
        lock: true,
        max: false,
        min: false,
        padding: 0
    },
    false);
}

//审核界面窗口
function AudBoxDlg(url,title)
{
    $.dialog.open(url, {
        id: 'AudBoxDlg',
        title: '审批信息',
        width: '50%',
        height: '60%',
        lock: true,
        max: false,
        min: false,
        padding: 0
    },
    false);
}

//保存按钮事件
function DoSubmit()
  {
      $("#FormContent").submit();
  }

//明细表中动态新建行开始
function AddDataRow(TableName)
{
  var sTbid = TableName;
  $("#"+sTbid+" .DataTemplate")
	  //连同事件一起复制 
	  .clone(true)
	  //去除模板标记
	  .removeClass("DataTemplate")
	  //修改内部元素 
	  .find(".delrow").show().end()
	  .find("input").val("").end()
	  .find("textarea").val("").end()
	  //插入表格
	 .appendTo($("#"+sTbid));
}
//统计
function SumDataTotal(TableName,e){
  var tsum = 0;
  $('input[name="'+TableName+'[]"]').each(function(){
	  var t = parseFloat($(this).val());
	  if(!t) t=0;
	  if(t) tsum +=t;
	  $(this).val(t);
  }); 
  $('input[name="'+TableName+'[total]"]').val(tsum);

}

/*删除tr*/
function DelDataRow(obj)
{
  var sTbid = "DataTable";
  var oTable = document.getElementById(sTbid);
 
  if($('#DataTable tbody').children('tr').length==1)
      {
          alert("对不起，至少保留一行！");
          return;
      }
	  
  while(obj.tagName !="TR")
  {
	  obj = obj.parentNode;
  }
  oTable.deleteRow(obj.rowIndex);
}
//明细表中动态新建行结束



//将URL中的UTF-8字符串转成中文字符串
function getCharFromUtf8(str) {
  var cstr = "";
  var nOffset = 0;
  if (str == "")
	  return "";
  str = str.toLowerCase();
  nOffset = str.indexOf("%e");
  if (nOffset == -1)
	  return str;
  while (nOffset != -1) {
	  cstr += str.substr(0, nOffset);
	  str = str.substr(nOffset, str.length - nOffset);
	  if (str == "" || str.length < 9)
		  return cstr;
	  cstr += utf8ToChar(str.substr(0, 9));
	  str = str.substr(9, str.length - 9);
	  nOffset = str.indexOf("%e");
  }
  return cstr + str;
}

//将权限转换成字符
function utf8ToChar(str) {
  var iCode, iCode1, iCode2;
  iCode = parseInt("0x" + str.substr(1, 2));
  iCode1 = parseInt("0x" + str.substr(4, 2));
  iCode2 = parseInt("0x" + str.substr(7, 2));
  return String.fromCharCode(((iCode & 0x0F) << 12) | ((iCode1 & 0x3F) << 6) | (iCode2 & 0x3F));
}

//2016 Bootstrap
$(function(){
	function SelectTableCheckbox() {
		var $checkAllTh = $('checkAll');
		/*“全选/反选”复选框*/
		var $checkAll = $('table thead tr th').find('input');
		$checkAll.click(function(event){
			/*将所有行的选中状态设成全选框的选中状态*/
			$tbr.find('input').prop('checked',$(this).prop('checked'));
			/*并调整所有选中行的CSS样式*/
			if ($(this).prop('checked')) {
				$tbr.find('input').parent().parent().addClass('warning');
			} else{
				$tbr.find('input').parent().parent().removeClass('warning');
			}
			/*阻止向上冒泡，以防再次触发点击操作*/
			event.stopGoodspagation();
		});
		/*点击全选框所在单元格时也触发全选框的点击操作*/
		$checkAllTh.click(function(){
			$(this).find('input').click();
		});
		var $tbr = $('table tbody tr');
		var $checkItemTd = $("[name='ID']");
		/*点击每一行的选中复选框时*/
		$tbr.find('input').click(function(event){
			/*调整选中行的CSS样式*/
			$(this).parent().parent().toggleClass('warning');
			/*如果已经被选中行的行数等于表格的数据行数，将全选框设为选中状态，否则设为未选中状态*/
			$checkAll.prop('checked',$tbr.find('input:checked').length == $tbr.length ? true : false);
			/*阻止向上冒泡，以防再次触发点击操作*/
			event.stopGoodspagation();
		});
		/*点击每一行时也触发该行的选中操作*/
		$tbr.click(function(){
			$(this).find('input').click();
		});
	}
	SelectTableCheckbox();
});
